Bug 800322 - qpid.msg_sequence wrong description in user guide
qpid.msg_sequence wrong description in user guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
2.1
All Unspecified
low Severity low
: 2.2
: ---
Assigned To: Joshua Wulf
ecs-bugs
:
Depends On:
Blocks: 785156
  Show dependency treegraph
 
Reported: 2012-03-06 05:13 EST by Pavel Moravec
Modified: 2014-10-19 19:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 23:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2012-03-06 05:13:17 EST
Description of problem:
qpid.msg_sequence in "Exchange Declaration Parameters" section (Section 2.2) has wrong / confusing description. In particular this sentence is wrong:
"The sequence number for the first message sent to the exchange is 0, .."

Three changes are relevant:
1) Replace 0 by 1. As the very first msq_sequence in a message is really 1 (to check this, see Exchange::PreRoute::PreRoute method where parent->sequenceNo++; is called before setting msg_sequence to a message).
2) Replace "to the exchange" by "from / by the exchange". As msg_sequence is inserted to messages "leaving" the exchange, not arriving the exchange.
3) ??? "message sent" -> "message routed" as technically the exchange does not _send_ a message, it "just" routes them to queues. But changing this can cause some confusion to a reader so I am not sure if it is linguistically ok..

Also it makes sense to add there a notice that qpid.msg_sequence is reset to 1 when qpid broker is restarted.


Version-Release number of selected component (if applicable):
MRG 2.0


How reproducible:
n.a.


Steps to Reproduce:
n.a.

  
Actual results:
n.a.


Expected results:
n.a.


Additional info:
Comment 4 Cheryn Tan 2012-09-19 22:53:31 EDT
Released for MRG 2.2

Note You need to log in before you can comment on or make changes to this bug.